//
//  DevInfoView.swift
//  AcaMate
//
//  Created by TAnine on 2/13/25.
//

import SwiftUI

struct DevInfoView: View {
    
    private var attributeText: AttributedString {
        let longText = """
             아래 정보는 해당 프로그램에 관한 정보로서
             학원에 대한 문의는 더보기 > 고객센터 > 1:1 문의를 이용해주시기 바랍니다.
             """
        var attributeText = AttributedString(longText)
        attributeText.font = .nps(size: 8)
        if let range = attributeText.range(of: "더보기 > 고객센터 > 1:1 문의") {
            attributeText[range].font = .nps(font: .bold, size: 8)
        }
        return attributeText
    }
    
    var body: some View {
        VStack(alignment: .leading, spacing: 24) {
            
            Text(attributeText)
            .foregroundStyle(Color(.Text.detail))
            .multilineStyle(.center, limit: 2)
            .frame(maxWidth: .infinity, maxHeight: .infinity, alignment: .center)
        
            VStack(alignment: .leading, spacing: 12){
                HStack(alignment: .center, spacing: 8) {
                    Image(.Logo.appIcon).resizable()
                        .frame(width: 40, height: 40,alignment: .leading)
                    Text("AcaMate")
                        .font(.nps(font: .bold, size: 16))
                        .foregroundStyle(Color(.Text.detail))
                }
                // MARK: TO-DO
                // 이부분에 대한 내용은 후에 바꿀 예정
                Text(verbatim:"""
                    문의: sean.kk@daum.net
                    문의: sean.kk@daum.net
                    """)
                .font(.nps(size: 12))
                .foregroundStyle(Color(.Text.detail))
                
            }
            
            Text("Copyright © Team.Stein. All Rights Reserved")
                .font(.nps(size: 14))
                .foregroundStyle(Color(.Text.detail))
            
            //            .padding([.leading,.trailing],24)
        }
        .padding(24)
        //        .padding([.top,.bottom],24)
        .background {
            Color(.Disable.normal)
        }
        .frame(maxWidth: .infinity, maxHeight: .infinity)
        
        
    }
}
